!> \file lect-clim-act-eurasie_mod.f90
!!Module pour la lecture du climat
!<

!> \namespace lect_clim_act_eurasie
!! Module pour la lecture du climat
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module3D_phy
!<

module lect_clim_act_eurasie

  use module3D_phy
  
    character(len=100) :: file3

contains
 
subroutine input_climat_ref

if (geoplace(1:5).eq.'euras') then  
! test sur geoplace car plusieurs resolutions (10, 20, 40)
      file3=TRIM(DIRNAMEINP)//'climat_'//geoplace//'.dat'
  else
      print*,'dans lect_clim_act_nord40 wrong geoplace :',geoplace
  endif
  
        write(42,*) 'climat de reference ',file3

!  lecture du fichier climat actuel
!  --------------------------------
    open (11,file=file3)
       read(11,*) 
       read(11,*)
       read(11,*)      
          do J=1,NY 
             do I=1,NX
             read(11,*) MK(I,J),PRECIP0(I,J),TA0(I,J),TJ0(I,J)
             enddo
          enddo
    close(11)  

!----------------------------------------------
end subroutine input_climat_ref


end module  lect_clim_act_eurasie
